Skip to main content
GET
/
company
/
{company_id}
Get Company Details
curl --request GET \
  --url https://external.nectarclimate.com/v2/company/{company_id} \
  --header 'X-API-KEY: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "isDemandEnabled": true,
  "sites": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "dataCollectionStopDate": "2023-12-25",
      "externalId": "<string>",
      "address": "<string>",
      "path": [
        "<string>"
      ],
      "occupancyPercent": "<string>"
    }
  ],
  "users": [
    "<string>"
  ],
  "externalId": "<string>",
  "dataCollectionStartDate": "2023-12-25",
  "isImpliedMeteringEnabled": true,
  "impliedMeteringFraction": "<string>",
  "isBasicIdentifierMappingEnabled": true,
  "isLowAccuracyModeEnabled": true
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

company_id
string<uuid>
required

ID of the company to retrieve.

Response

Serializer for externally available fields of a Company object including related sites.

id
string<uuid>
required

Unique identifier for the company.

name
string
required

Name of the company.

Maximum string length: 200
isDemandEnabled
boolean
required

[BETA] Enable tracking of electricity demand meters. When enabled, bills will be processed to extract demand usage data in addition to standard consumption data.

sites
object[]
required
users
string[]
required

List of user email addresses associated with the company.

externalId
string | null

External identifier for the company. Used to associate company in Nectar with company within your database.

dataCollectionStartDate
string<date>

Date when data collection for the company begins. This is the date from which Nectar will pull historical data. Similar fields at the site and workflow level can override this date. Defaults to January 1st of the previous year.

isImpliedMeteringEnabled
boolean

Indicates if implied metering is enabled for the company. Defaults to False.

impliedMeteringFraction
string<decimal>

Fraction used to estimate sewer usage from water usage for implied metering. If a sewage chargeis found in the data without water usage, this fraction is used to estimate the waste water usage that corresponds to the sewage charge. Defaults to 1.0.

Pattern: ^-?\d{0,1}(?:\.\d{0,2})?$
isBasicIdentifierMappingEnabled
boolean

Indicates if basic identifier name mapping is enabled for the company, in which case, meter identifiers will be labeled with a limited set of identifier types. When disabled (by default), the full range of identifier types is used for labeling.

isLowAccuracyModeEnabled
boolean

Indicates if a lower accuracy, fast pass mode is forced for the company. When enabled, all bills will bypass checksum validation and go directly to submission. This provides faster processing but lower accuracy.